include "gnuplot_i.e"

gnuplot_ctrl g = gnuplot_init()

sequence x = repeat( 0.0, 50 )
sequence y = repeat( 0.0, 50 )

for i = 1 to 50 do
    x[i] = (i-1) / 10.0
    y[i] = x[i] * x[i]
end for

gnuplot_cmd( g, "set terminal png" )
gnuplot_cmd( g, "set output \"parabola.png\"" )
gnuplot_plot_xy( g, x, y, 50, "parabola" )

gnuplot_close( g )
